List enrichment source ingest tokens
curl --request GET \
--url https://api.vantage.sh/v2/enrichment_sources/{enrichment_source_token}/ingest_tokens \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/enrichment_sources/{enrichment_source_token}/ingest_tokens"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/enrichment_sources/{enrichment_source_token}/ingest_tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vantage.sh/v2/enrichment_sources/{enrichment_source_token}/ingest_tokens",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vantage.sh/v2/enrichment_sources/{enrichment_source_token}/ingest_tokens"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vantage.sh/v2/enrichment_sources/{enrichment_source_token}/ingest_tokens")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vantage.sh/v2/enrichment_sources/{enrichment_source_token}/ingest_tokens")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"links": {
"self": "https://api.vantage.sh/v2/enrichment_sources/srvc_data_intgrtn_93d9727e64d4327e/ingest_tokens",
"first": "https://api.vantage.sh/v2/enrichment_sources/srvc_data_intgrtn_93d9727e64d4327e/ingest_tokens?page=1",
"next": null,
"last": "https://api.vantage.sh/v2/enrichment_sources/srvc_data_intgrtn_93d9727e64d4327e/ingest_tokens?page=1",
"prev": null
},
"tokens": [
{
"token": "tlm_tok_08dacbf0109f9235",
"feed_token": "srvc_data_intgrtn_93d9727e64d4327e",
"provider": "bifrost",
"name": "Production",
"last4": "zkDQ",
"retention_days": 30,
"issued_at": "2026-11-11T12:00:00Z",
"expires_at": "2027-01-11T12:00:00Z",
"revoked_at": null,
"created_by": "usr_729dc9281dcb3c73"
},
{
"token": "tlm_tok_1b7a123749150ee4",
"feed_token": "srvc_data_intgrtn_93d9727e64d4327e",
"provider": "bifrost",
"name": null,
"last4": "9MDA",
"retention_days": null,
"issued_at": "2026-11-11T12:00:00Z",
"expires_at": "2028-05-11T12:00:00Z",
"revoked_at": null,
"created_by": "usr_729dc9281dcb3c73"
}
]
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}EnrichmentSources
List enrichment source ingest tokens
List ingest token metadata for this enrichment source. Secret credentials are never returned.
GET
/
enrichment_sources
/
{enrichment_source_token}
/
ingest_tokens
List enrichment source ingest tokens
curl --request GET \
--url https://api.vantage.sh/v2/enrichment_sources/{enrichment_source_token}/ingest_tokens \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/enrichment_sources/{enrichment_source_token}/ingest_tokens"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/enrichment_sources/{enrichment_source_token}/ingest_tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vantage.sh/v2/enrichment_sources/{enrichment_source_token}/ingest_tokens",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vantage.sh/v2/enrichment_sources/{enrichment_source_token}/ingest_tokens"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vantage.sh/v2/enrichment_sources/{enrichment_source_token}/ingest_tokens")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vantage.sh/v2/enrichment_sources/{enrichment_source_token}/ingest_tokens")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"links": {
"self": "https://api.vantage.sh/v2/enrichment_sources/srvc_data_intgrtn_93d9727e64d4327e/ingest_tokens",
"first": "https://api.vantage.sh/v2/enrichment_sources/srvc_data_intgrtn_93d9727e64d4327e/ingest_tokens?page=1",
"next": null,
"last": "https://api.vantage.sh/v2/enrichment_sources/srvc_data_intgrtn_93d9727e64d4327e/ingest_tokens?page=1",
"prev": null
},
"tokens": [
{
"token": "tlm_tok_08dacbf0109f9235",
"feed_token": "srvc_data_intgrtn_93d9727e64d4327e",
"provider": "bifrost",
"name": "Production",
"last4": "zkDQ",
"retention_days": 30,
"issued_at": "2026-11-11T12:00:00Z",
"expires_at": "2027-01-11T12:00:00Z",
"revoked_at": null,
"created_by": "usr_729dc9281dcb3c73"
},
{
"token": "tlm_tok_1b7a123749150ee4",
"feed_token": "srvc_data_intgrtn_93d9727e64d4327e",
"provider": "bifrost",
"name": null,
"last4": "9MDA",
"retention_days": null,
"issued_at": "2026-11-11T12:00:00Z",
"expires_at": "2028-05-11T12:00:00Z",
"revoked_at": null,
"created_by": "usr_729dc9281dcb3c73"
}
]
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Scopes
read
Grants read access
Path Parameters
Query Parameters
The page of results to return.
The number of results to return. Defaults to 1000; the maximum is 1000.
Required range:
1 <= x <= 1000